# Remove global mutable values.
    - Use a configuration instead with a const_fn.
    - Need to deprecate the old functions.
        - We have too many functions now, should simplify things.

# Commit Message

# Benchmark Results

**Pre-Float Format**

```bash
test denormal10   ... bench:          63 ns/iter (+/- 5)
test denormal100  ... bench:         581 ns/iter (+/- 19)
test denormal1600 ... bench:       4,199 ns/iter (+/- 277)
test denormal20   ... bench:         285 ns/iter (+/- 3)
test denormal200  ... bench:       1,000 ns/iter (+/- 17)
test denormal30   ... bench:         333 ns/iter (+/- 7)
test denormal3200 ... bench:       5,109 ns/iter (+/- 182)
test denormal40   ... bench:         374 ns/iter (+/- 13)
test denormal400  ... bench:       1,880 ns/iter (+/- 105)
test denormal50   ... bench:         400 ns/iter (+/- 25)
test denormal6400 ... bench:       6,731 ns/iter (+/- 149)
test denormal800  ... bench:       3,906 ns/iter (+/- 77)
test digits16     ... bench:     879,497 ns/iter (+/- 62,399)
test digits2      ... bench:     259,417 ns/iter (+/- 15,977)
test digits32     ... bench:   1,132,216 ns/iter (+/- 83,555)
test digits64     ... bench:   1,411,032 ns/iter (+/- 84,906)
test digits8      ... bench:     441,462 ns/iter (+/- 43,674)
test large10      ... bench:          61 ns/iter (+/- 3)
test large100     ... bench:         504 ns/iter (+/- 35)
test large1600    ... bench:       2,359 ns/iter (+/- 286)
test large20      ... bench:         272 ns/iter (+/- 21)
test large200     ... bench:         833 ns/iter (+/- 47)
test large30      ... bench:         316 ns/iter (+/- 21)
test large3200    ... bench:       3,915 ns/iter (+/- 257)
test large40      ... bench:         335 ns/iter (+/- 15)
test large400     ... bench:       1,261 ns/iter (+/- 39)
test large50      ... bench:         369 ns/iter (+/- 12)
test large6400    ... bench:       6,897 ns/iter (+/- 292)
test large800     ... bench:       1,645 ns/iter (+/- 48)

v2
test denormal10   ... bench:          57 ns/iter (+/- 6)
test denormal100  ... bench:         546 ns/iter (+/- 51)
test denormal1600 ... bench:       4,156 ns/iter (+/- 243)
test denormal20   ... bench:         264 ns/iter (+/- 15)
test denormal200  ... bench:         941 ns/iter (+/- 231)
test denormal30   ... bench:         318 ns/iter (+/- 34)
test denormal3200 ... bench:       5,313 ns/iter (+/- 429)
test denormal40   ... bench:         334 ns/iter (+/- 17)
test denormal400  ... bench:       1,747 ns/iter (+/- 77)
test denormal50   ... bench:         366 ns/iter (+/- 13)
test denormal6400 ... bench:       7,301 ns/iter (+/- 295)
test denormal800  ... bench:       3,573 ns/iter (+/- 277)
test digits16     ... bench:     942,401 ns/iter (+/- 19,050)
test digits2      ... bench:     266,704 ns/iter (+/- 24,741)
test digits32     ... bench:   1,186,682 ns/iter (+/- 85,960)
test digits64     ... bench:   1,533,547 ns/iter (+/- 110,045)
test digits8      ... bench:     470,796 ns/iter (+/- 17,438)
test large10      ... bench:          63 ns/iter (+/- 1)
test large100     ... bench:         475 ns/iter (+/- 52)
test large1600    ... bench:       2,622 ns/iter (+/- 317)
test large20      ... bench:         250 ns/iter (+/- 30)
test large200     ... bench:         778 ns/iter (+/- 23)
test large30      ... bench:         279 ns/iter (+/- 26)
test large3200    ... bench:       4,497 ns/iter (+/- 336)
test large40      ... bench:         299 ns/iter (+/- 23)
test large400     ... bench:       1,176 ns/iter (+/- 85)
test large50      ... bench:         332 ns/iter (+/- 30)
test large6400    ... bench:       8,200 ns/iter (+/- 522)
test large800     ... bench:       1,741 ns/iter (+/- 77)

```

**Post-Float Format**

```bash
test denormal10   ... bench:          55 ns/iter (+/- 2)
test denormal100  ... bench:         448 ns/iter (+/- 9)
test denormal1600 ... bench:       3,184 ns/iter (+/- 86)
test denormal20   ... bench:         262 ns/iter (+/- 8)
test denormal200  ... bench:         731 ns/iter (+/- 19)
test denormal30   ... bench:         298 ns/iter (+/- 4)
test denormal3200 ... bench:       3,845 ns/iter (+/- 177)
test denormal40   ... bench:         318 ns/iter (+/- 5)
test denormal400  ... bench:       1,352 ns/iter (+/- 124)
test denormal50   ... bench:         336 ns/iter (+/- 13)
test denormal6400 ... bench:       5,076 ns/iter (+/- 119)
test denormal800  ... bench:       2,916 ns/iter (+/- 61)
test digits16     ... bench:     823,001 ns/iter (+/- 47,326)
test digits2      ... bench:     253,366 ns/iter (+/- 9,873)
test digits32     ... bench:   1,100,066 ns/iter (+/- 62,192)
test digits64     ... bench:   1,338,433 ns/iter (+/- 27,127)
test digits8      ... bench:     423,857 ns/iter (+/- 17,013)
test large10      ... bench:          60 ns/iter (+/- 3)
test large100     ... bench:         367 ns/iter (+/- 16)
test large1600    ... bench:       1,795 ns/iter (+/- 84)
test large20      ... bench:         248 ns/iter (+/- 6)
test large200     ... bench:         561 ns/iter (+/- 12)
test large30      ... bench:         268 ns/iter (+/- 21)
test large3200    ... bench:       3,105 ns/iter (+/- 77)
test large40      ... bench:         284 ns/iter (+/- 5)
test large400     ... bench:         836 ns/iter (+/- 61)
test large50      ... bench:         305 ns/iter (+/- 33)
test large6400    ... bench:       5,709 ns/iter (+/- 184)
test large800     ... bench:       1,166 ns/iter (+/- 63)
```
